FROM gcc:latest

RUN apt update && apt install -y cmake

WORKDIR /app

#COPY a.png /app/
#COPY content /app/
#COPY wordlist /app/
#COPY include /app/
#COPY src /app/
#COPY CMakeLists.txt /app/

COPY . /app/

RUN ls -lh .

RUN cmake .
RUN make

EXPOSE 8888
EXPOSE 8889

CMD ["./tarpit", "wordlist/", "content/style.css", "content/images/", "a.png"]
